List applications
import requests
url = "https://platform.ankra.app/api/v1/org/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications \
--header 'Authorization: Bearer <token>'{
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"app_repo_branch": "<string>",
"app_repo_name": "<string>",
"app_repo_owner": "<string>",
"created_at": "<string>",
"id": "<string>",
"name": "<string>",
"state": "<string>",
"updated_at": "<string>",
"analysis_ai_generated": true,
"analysis_fallback_reason": "<string>",
"analysis_status": "<string>",
"app_repo_url": "<string>",
"chart_oci_url": "<string>",
"container_image_url": "<string>",
"error_message": "<string>",
"helm_repo_add_command": "<string>",
"live": {
"deployment_state": "<string>",
"deployment_state_message": "<string>",
"deployment_count": 123,
"ingress_host": "<string>",
"ingress_host_publication": "<string>",
"environments": [
{
"id": "<string>",
"name": "<string>",
"role": "<string>",
"status": "<string>",
"cluster_outside_projects": true
}
],
"last_live_at": "<string>",
"autonomy": {
"read_state": "ok",
"unread": [
"auto_remediation_policy"
],
"environments": [
{
"environment_id": "<string>",
"name": "<string>",
"role": "<string>",
"environment_kind": "production",
"level": "you_run_it",
"is_custom": true,
"capped_areas": [
"keep_it_up"
]
}
],
"application_wide": {
"read_state": "ok",
"areas": [
{
"area": "keep_it_safe",
"level": "you_run_it",
"is_stored": true,
"environment_id": "<string>",
"cluster_id": "<string>",
"source": {
"layer": "platform_default",
"detail": "default",
"widened_by_admin": true,
"clamped": true,
"clamped_layer": "<string>"
},
"decided_outside_projects": true
}
]
}
},
"pause": {
"read_state": "ok",
"paused": true,
"paused_at": "2023-11-07T05:31:56Z",
"paused_by": "<string>",
"reason": "<string>"
}
},
"pipeline_source": "<string>",
"pull_request_closed_at": "<string>",
"pull_request_merged_at": "<string>",
"pull_request_url": "<string>"
}
],
"order": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Applications
List applications
Lists the organisation’s applications, paginated with page and page_size (default 25, at most 100). search filters by a case-insensitive match on the application name, and order accepts created (the default, newest first), attention (needs-you-first, A to Z by name within each step) or name (A to Z by name).
GET
/
api
/
v1
/
org
/
applications
List applications
import requests
url = "https://platform.ankra.app/api/v1/org/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications \
--header 'Authorization: Bearer <token>'{
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"app_repo_branch": "<string>",
"app_repo_name": "<string>",
"app_repo_owner": "<string>",
"created_at": "<string>",
"id": "<string>",
"name": "<string>",
"state": "<string>",
"updated_at": "<string>",
"analysis_ai_generated": true,
"analysis_fallback_reason": "<string>",
"analysis_status": "<string>",
"app_repo_url": "<string>",
"chart_oci_url": "<string>",
"container_image_url": "<string>",
"error_message": "<string>",
"helm_repo_add_command": "<string>",
"live": {
"deployment_state": "<string>",
"deployment_state_message": "<string>",
"deployment_count": 123,
"ingress_host": "<string>",
"ingress_host_publication": "<string>",
"environments": [
{
"id": "<string>",
"name": "<string>",
"role": "<string>",
"status": "<string>",
"cluster_outside_projects": true
}
],
"last_live_at": "<string>",
"autonomy": {
"read_state": "ok",
"unread": [
"auto_remediation_policy"
],
"environments": [
{
"environment_id": "<string>",
"name": "<string>",
"role": "<string>",
"environment_kind": "production",
"level": "you_run_it",
"is_custom": true,
"capped_areas": [
"keep_it_up"
]
}
],
"application_wide": {
"read_state": "ok",
"areas": [
{
"area": "keep_it_safe",
"level": "you_run_it",
"is_stored": true,
"environment_id": "<string>",
"cluster_id": "<string>",
"source": {
"layer": "platform_default",
"detail": "default",
"widened_by_admin": true,
"clamped": true,
"clamped_layer": "<string>"
},
"decided_outside_projects": true
}
]
}
},
"pause": {
"read_state": "ok",
"paused": true,
"paused_at": "2023-11-07T05:31:56Z",
"paused_by": "<string>",
"reason": "<string>"
}
},
"pipeline_source": "<string>",
"pull_request_closed_at": "<string>",
"pull_request_merged_at": "<string>",
"pull_request_url": "<string>"
}
],
"order": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}